Bug 199452 - add support for window layout roles to TopComponent registration annotation
add support for window layout roles to TopComponent registration annotation
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Window System
7.1
All All
: P2 (vote)
: 7.1
Assigned To: Stanislav Aubrecht
issues@platform
: API, API_REVIEW_FAST
Depends on: 203553
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-16 09:22 UTC by Stanislav Aubrecht
Modified: 2011-10-19 14:18 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
proposed patch & api changes (3.62 KB, patch)
2011-06-16 09:40 UTC, Stanislav Aubrecht
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Aubrecht 2011-06-16 09:22:13 UTC
support for multiple window layouts has been introduced into the window system recently (issue #198856)

the annotation for TopComponent registration should be extended to allow the specification of the role the window should belong to.
Comment 1 Stanislav Aubrecht 2011-06-16 09:40:06 UTC
Created attachment 108924 [details]
proposed patch & api changes
Comment 2 Stanislav Aubrecht 2011-06-20 13:20:38 UTC
if there are no objections, i'll integrate the patch tomorrow
Comment 3 Jesse Glick 2011-06-21 18:36:15 UTC
[JG01] This code:

if( role.trim().isEmpty() )
    role = null;
String rootFolder = "Windows2";
if( null != role )
    rootFolder += "/Roles/" + role;

could be simplified to:

String rootFolder = role.isEmpty() ? "Windows2" : "Windows2/Roles/" + role;


[JG02] Add to TopComponentProcessorTest.
Comment 4 Stanislav Aubrecht 2011-06-22 09:04:22 UTC
core-main 322a0a086e28

(with jesse's comments fixed)
Comment 5 Quality Engineering 2011-06-24 14:29:23 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/322a0a086e28
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #199452 - support window layout roles in TC registration
Comment 6 Jesse Glick 2011-06-27 19:31:34 UTC
(Version & TM somehow got mangled when closing)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo